Subject: Re: [PULL] Networking for v6.1 final / v6.1-rc9 (with the diff stat :S)

From: Jakub Kicinski <[email-masked]>
Date: Fri, 9 Dec 2022 14:05:50 -0800

On Fri, 9 Dec 2022 13:00:01 -0800 Jakub Kicinski wrote:
> On Fri, 9 Dec 2022 10:25:09 -0800 Linus Torvalds wrote:
> > > There is an outstanding regression in BPF / Peter's static calls stuff,    
> > 
> > Looks like it's not related to the static calls. Jiri says that
> > reverting that static call change makes no difference, and currently
> > suspects a RCU race instead:
> > 
> >   https://lore.kernel.org/bpf/Y5M9P95l85oMHki9@krava/T/#t
> > 
> > Hmm?  
> 
> Yes. I can't quickly grok how the static call changes impacted 
> the locking. I'll poke the BPF people to give us a sense of urgency.
> IDK how likely it is to get hold of Peter Z..

Adding Alexei et al. to the CC.
What I understood from off-list comments is the issue is not 
a showstopper and synchronize_rcu_tasks() seems like a good fix.